ARIA_PACK(1)

NAME
aria_pack - generate compressed, read-only Aria tables

SYNOPSIS
aria_pack [OPTIONS] filename...

DESCRIPTION
Pack a Aria-table to take much less space. Keys are not updated, you must run aria_chk -rq on the index (.MAI) file afterwards to update the keys. You should give the .MAI file as the filename argument. To unpack a packed table, run aria_chk -u on the table

-b, --backup
    Make a backup of the table as table_name.OLD.

--character-sets-dir=name
    Directory where character sets are.

-#, --debug[=name]
    Output debug log. Often this is 'd:t:o,filename'.

-f, --force
    Force packing of table even if it gets bigger or if tempfile exists.

-j, --join=name
    Join all given tables into 'new_table_name'. All tables MUST have identical layouts.

-?, --help
    Display this help and exit.

-s, --silent
    Be more silent.

-T, --tmpdir=name
    Use temporary directory to store temporary table.

-t, --test
    Don't pack table, only test packing it.

-v, --verbose
    Write info about progress and packing result. Use many -v for more verbosity!

-V, --version
    Output version information and exit.

-w, --wait
    Wait and retry if table is in use.

Default options are read from the following files in the given order: /opt/local/etc/mariadb-10.1/my.cnf /opt/local/etc/mariadb-10.1/mysql/my.cnf ~/.my.cnf

The following groups are read: ariapack

The following options may be given as the first argument:

--print-defaults
    Print the program argument list and exit.

--no-defaults
    Don't read default options from any option file.

--defaults-file=#
    Only read default options from the given file #.

--defaults-extra-file=#
    Read this file after the global files are read.

SEE ALSO
myisampack(1)

For more information, please refer to the MariaDB Knowledge Base, available online at https://mariadb.com/kb/